#==========================================================================
# Author: 
# Description: TCL for Step Training Board with Step-max10
# Web: www.stepfapga.com
#==========================================================================
package require ::quartus::project

# For system signal
set_location_assignment PIN_J5 -to ClkIn
set_location_assignment PIN_J9 -to rst_n
# For Switch
set_location_assignment PIN_H13 -to SW[3]
set_location_assignment PIN_H12 -to SW[2]
set_location_assignment PIN_H11 -to SW[1]
set_location_assignment PIN_J12 -to SW[0]
# For Led
set_location_assignment PIN_N15 -to Led[7]
set_location_assignment PIN_N14 -to Led[6]
set_location_assignment PIN_M14 -to Led[5]
set_location_assignment PIN_M12 -to Led[4]
set_location_assignment PIN_L15 -to Led[3]
set_location_assignment PIN_K12 -to Led[2]
set_location_assignment PIN_L11 -to Led[1]
set_location_assignment PIN_K11 -to Led[0]
# For UART
set_location_assignment PIN_M4  -to UartRx
set_location_assignment PIN_P3  -to UartTx
# For ADC
set_location_assignment PIN_P8  -to AdcClk
set_location_assignment PIN_P7  -to AdcSdo
set_location_assignment PIN_P9  -to AdcCs
# For DS18B20
set_location_assignment PIN_P12 -to DS18B20
# For Beeper
set_location_assignment PIN_R14 -to Beeper
# For PWM
set_location_assignment PIN_P15 -to PWM_Out
# For OLED
set_location_assignment PIN_B4  -to OledClk
set_location_assignment PIN_E7  -to OledCs
set_location_assignment PIN_A7  -to OledRes
set_location_assignment PIN_A5  -to OledDin
set_location_assignment PIN_B6  -to OledDc
# For R-2R DAC
set_location_assignment PIN_B15 -to DA[0]
set_location_assignment PIN_B14 -to DA[1]
set_location_assignment PIN_B13 -to DA[2]
set_location_assignment PIN_A14 -to DA[3]
set_location_assignment PIN_B11 -to DA[4]
set_location_assignment PIN_A13 -to DA[5]
set_location_assignment PIN_A11 -to DA[6]
set_location_assignment PIN_A9  -to DA[7]
set_location_assignment PIN_D10 -to DA[8]
set_location_assignment PIN_B8  -to DA[9]




